Subject: Re: [mpls-tp] [mpls] working group last call on draft-ietf-mpls-tp-oam-framework-05.txt

From: Yuji Tochio <[email-masked]>
Date: Thu, 01 Apr 2010 19:33:40 +0900

Hi all

I wrote:
> Hi All
<snip>
> ps
> For the suggestion (3), I will recosinder also and may be
> addressed by the deadline of WG LC.
>   

A couple of comments regarding to (3) below (and above)

In Section 6.1 (of koike draft), it says as:

...
In case of per-node model, maintenance points are not specified
with in NE, therefore, there is a possibility that some defects are
not detected depending on the location of the defect.
In case of per-interface model, there is no missing segment where
defects can not be detected, compared with per-node model.
...

I would like to point out as:

a) For per node, since ME (MEPs) MUST be specified per NE as
a node. (If NE is network equipment). So I feel something
strange "not specified" above
b) For per interface, there MUST be semgemt if we have both egress
I/F MEP (as source) and ingress I/F MEP (as sink).

Therefore, I suggest the editors should revisit this analysis to
be completed if the input/inclusion to oam-fwk is desired.

I guess the point of section 6 (or all) of koike draft is:
The operator who manages LSP between 2 nodes may not
expect to detect precise faults unless proper MEP or MIP
is not configured, regardless of tools.

So the essense is already told at the beginnig of section 4
(or second para of Section 7) below and introducing per-xxx
MIP (and MEP where I had comment).

"OAM maintenance points need to be specified clearly in
order to meet the MPLS-TP OAM requirements [6]"

Therefore, for fulfilling (3), my suggestion is to reuse the
sentense above with a little modification as follow and include
to oam-fwk.

"OAM maintenance points need to be specified and configured
preciously in order to meet the MPLS-TP OAM requirements"

Note that this suggestion will not close the door of inclusion
of section 6 of draft koike. The alternative is to inlclude it to
each solution draft after complete analysis is available.

Thanks,
Yuji

> Thanks,
> Yuji
>
> Yoshinori KOIKE wrote:
>   
>> All,
>>
>> We would like to make last call comments by quoting our
>> following updated draft.
>> (http://tools.ietf.org/html/draft-koike-ietf-mpls-tp-oam-maintenance-points-01.html)
>>
>>
>> This procedure(merging) has already been agreed between IETF and ITU-T,
>> as you can see in 3.4 of the table in the following liaison document.
>> (https://datatracker.ietf.org/documents/LIAISON/file967.pdf)
>>
>> Concretely, suggestions are as follows.
>>
>> (1) reflect section 4.1.1 and 4.1.2 in our draft into section
>> 3.3 in OAM framework-05.
>>
>> (2) reflect section 4.2.1 and 4.2.2 in our draft into section
>> 3.4 in OAM framewrok-05
>>
>> (3) reflect each item of section 6 in our draft into section 5
>> and 6 in OAM framework-05 item-by-item
>>
>> There is no new requirement. We highlighted proper specifications of
>> MEP/MIP placement(both per-interface model and per-node model, both
>> MIP and MEP location). The draft texts bases on and just refines and
>> details the MPLS-TP OAM requirements. We hope they will serve for
>> assistance and consideration for the development of OAM toolset drafts.
>>
>> Best regards,
>>
>> Yoshinori Koike(NTT)
>> Manuel Paul(Deutsche Telekom)
>>
>> Loa Andersson wrote:
>>     
>>> All,
>>>
>>> it has been pointed out that I made the when starting the mpls
>>> working group call on draft-ietf-mpls-tp-oam-framework-05.txt
>>> in not copying the mpls-tp list.
>>>
>>> Sorry if it caused any confusion.
>>>
>>> This working group last call is therefore extended to April 1st, 2001.
>>>
>>> /Loa
>>>
>>>       
>>>> All,
>>>>
>>>>
>>>> this is to start a two week mpls working group last call on
>>>> draft-ietf-mpls-tp-oam-framework-05.txt.
>>>>
>>>> Please review and send your comments to the [email-masked] mailing
>>>> list.
>>>> Please do not copy the other mailing lists this working group last call
>>>> is announced on.
>>>>
>>>> The working group last call ends March 19th.
>>>>
>>>> Loa and George
>>>>
>>>> -- 
>>>>
>>>> Loa Andersson email: [email-masked]
>>>> Sr Strategy and Standards Manager [email-masked]
>>>> Ericsson Inc phone: +46 10 717 52 13
>>>> +46 767 72 92 13
>>>> _______________________________________________
>>>> mpls mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/mpls
>>>>
>>>>         
>>> Loa Andersson
>>>
>>> Sr Strategy and Standards Manager
>>> Ericsson ///
>>> phone: +46 10 717 52 13
>>> +46 767 72 92 13
>>>
>>> email: [email-masked]
>>> [email-masked]
>>>
>>> _______________________________________________
>>> mpls-tp mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/mpls-tp
>>>
>>>       
>>     
>
>
> _______________________________________________
> mpls-tp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-tp
>
>
>